Subject: Re: [PATCH 08/10] contrib: remove "git-resurrect.sh"

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 May 2025 10:48:03 -0700

Patrick Steinhardt <[email-masked]> writes:

> If we did that, a user can trivially learn about the old state of that
> branch (and even states before!) even after they have accidentally
> deleted it. Just type `git reflog show refs/heads/branch` and you got
> it. There wouldn't even be any extra need for a new command, this feels
> simple enough to me.

If we have a way to enumerate reflogs for branches, including the
ones that have been deleted, then the user can learn what to give to
"git reflog refs/heads/<branchname-they-no-longer-remember>", so all
will work well.  I like the direction.